# waypointsimpleadd.cpp File Reference

Simple add waypoint File. More...

`#include "waypointsimpleadd.h"`
`#include <synfigapp/canvasinterface.h>`
`#include <synfigapp/general.h>`

## Functions

| ACTION_INIT (Action::WaypointSimpleAdd)
| ACTION_SET_NAME (Action::WaypointSimpleAdd,"WaypointSimpleAdd")
| ACTION_SET_LOCAL_NAME (Action::WaypointSimpleAdd, N_("Simply Add Waypoint"))
| ACTION_SET_TASK (Action::WaypointSimpleAdd,"add")
| ACTION_SET_CATEGORY (Action::WaypointSimpleAdd, Action::CATEGORY_WAYPOINT)
| ACTION_SET_PRIORITY (Action::WaypointSimpleAdd, 0)
| ACTION_SET_VERSION (Action::WaypointSimpleAdd,"0.0")
| ACTION_SET_CVS_ID (Action::WaypointSimpleAdd,"$Id$")

## Detailed Description

Simple add waypoint File.

$Id$

## Function Documentation

ACTION_INIT | ( | Action::WaypointSimpleAdd |  | ) |

ACTION_SET_NAME | ( | Action::WaypointSimpleAdd | ,
|  | "WaypointSimpleAdd" |  |
| ) |  |  |

ACTION_SET_LOCAL_NAME | ( | Action::WaypointSimpleAdd | ,
|  | N_("Simply Add Waypoint") |  |
| ) |  |  |

ACTION_SET_TASK | ( | Action::WaypointSimpleAdd | ,
|  | "add" |  |
| ) |  |  |

ACTION_SET_CATEGORY | ( | Action::WaypointSimpleAdd | ,
|  | Action::CATEGORY_WAYPOINT |  |
| ) |  |  |

ACTION_SET_PRIORITY | ( | Action::WaypointSimpleAdd | ,
|  | 0 |  |
| ) |  |  |

ACTION_SET_VERSION | ( | Action::WaypointSimpleAdd | ,
|  | "0.0" |  |
| ) |  |  |

ACTION_SET_CVS_ID | ( | Action::WaypointSimpleAdd | ,
|  | "$Id$" |  |
| ) |  |  |